Bug 496269 - F10: Anaconda kickstart gets stuck at "Activating partitions" when using 'ignoredisk' command to exclude all drives in a raid array. [NEEDINFO]
F10: Anaconda kickstart gets stuck at "Activating partitions" when using 'ign...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-17 11:24 EDT by Gerry Reno
Modified: 2010-06-28 07:52 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:52:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
clumens: needinfo? (greno)


Attachments (Terms of Use)

  None (edit)
Description Gerry Reno 2009-04-17 11:24:57 EDT
Description of problem:
Anaconda gets stuck when we use 'ignoredisk' command to ignore all the disks in an existing raid-5 media array.  We want to install the new OS but leave the existing media raid array alone with data intact.  Anaconda is not able to do this.  It dies with the message  "Activating partitions" shown on screen.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. using machine with non-trivial setup (multiple raid-5, raid-1 arrays, multiple volume groups)
2. create kickstart file with 'ignoredisk' command to exclude all members of a raid-5 array.
3. pass location of kickstart on kernel line and boot install kernel.
  
Actual results:
Anaconda dies.

Expected results:
Anaconda respects ignoredisk, correctly activates the non-ignored PV, LV, VG, mdN.

Additional info:
Comment 1 Chris Lumens 2009-04-17 11:30:56 EDT
Given the amount of changes made to the storage code since F10, bugs in the partitioning code for that release aren't all that helpful.  If you could please verify whether or not you see the same bugs in current code, that would be more useful in making sure they're not in the final release.
Comment 2 Gerry Reno 2009-04-17 13:29:20 EDT
I tried to run this with rawhide boot.iso but it refuses to find the kickstart file.  There is a separate bug opened on that issue.
Comment 3 Chris Lumens 2009-06-08 15:44:03 EDT
Let's leave this one in NEEDINFO until we get the kickstart file part figured out, then you can come back and retest this one and provide whatever information is needed.  Thanks.
Comment 4 Bug Zapper 2009-06-09 10:00:33 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Gerry Reno 2009-06-09 13:05:58 EDT
Not a problem as long as you can keep the system from doing it's auto-close on it.
Comment 6 Bug Zapper 2010-04-27 09:44:00 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-06-28 07:52:47 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.